バッチを取り込む
Ingest a batch of files at once.
リクエストボディ
application/json
TypeScript定義
TypeScriptでrequest body型を使用します。
Request body for batch file ingestion (folder import from desktop app).
レスポンスボディ
application/json
application/json
curl -X POST "https://example.com/sources/ingest/batch" \ -H "Content-Type: application/json" \ -d '{ "files": [ { "file_path": "string" } ] }'{ "folder_name": "", "message": "", "results": [ { "is_duplicate": false, "lifecycle_state": "string", "message": "", "original_name": "string", "source_id": "string" } ], "total_duplicates": 0, "total_errors": 0, "total_ingested": 0}